Bug 2030774 - [EPEL8] castxml 0.4.4-1 still links against libclang11
Summary: [EPEL8] castxml 0.4.4-1 still links against libclang11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: castxml
Version: epel8
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-09 17:28 UTC by Andrew Kaster
Modified: 2021-12-24 00:58 UTC (History)
2 users (show)

Fixed In Version: castxml-0.4.4-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-24 00:58:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrew Kaster 2021-12-09 17:28:15 UTC
Description of problem:

On a Centos8 and UBI 8 distribution, the clang, llvm, and clang-tools-extra packages have been moved to distribute version 12. The EPEL-8 Version of CastXML still links against and requires libclang-11, which makes it uninstallable when using the default clang and llvm packages

Version-Release number of selected component (if applicable):

0.4.4-1.el8.x86_64

How reproducible:

Always

Steps to Reproduce:
1. dnf -y install clang llvm castxml

Actual results:

Problem: package castxml-0.4.4-1.el8.x86_64 requires libclang-cpp.so.11()(64bit), but none of the providers can be installed

Expected results:

All packages install properly

Additional info:

Comment 1 Fedora Update System 2021-12-15 06:35:11 UTC
FEDORA-EPEL-2021-34862ceebf has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-34862ceebf

Comment 2 Fedora Update System 2021-12-16 01:32:03 UTC
FEDORA-EPEL-2021-34862ceebf has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-34862ceebf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-12-24 00:58:33 UTC
FEDORA-EPEL-2021-34862ceebf has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.